<?php
define('STEED_THEME_ID', 'steed-automobile');

add_filter('tallythemesetup_load_v2', '__return_true');

if(!function_exists('Automobile_modify_theme_intro_page')){
	function Automobile_modify_theme_intro_page($data){
		$data['menu_name'] = 'About Automobile';
		$data['page_name'] = 'About Automobile';
		$data['welcome_title'] = sprintf( __( 'Welcome to %s! - Version ', 'automobile' ), 'Automobile' );
		$data['welcome_content'] = steed_theme_mod('theme_f_description');
		$data['support_content']['second']['button_link'] = esc_url(steed_theme_mod('theme_f_doc_url')); //Documentation Link
		$data['support_content']['sixth']['button_link'] = esc_url(steed_theme_mod('theme_f_doc_url')); //Documentation Link
		$data['getting_started']['second']['button_link'] = esc_url(steed_theme_mod('theme_f_doc_url')); //Documentation Link
		$data['free_pro']['free_theme_name'] = 'Automobile';
		$data['free_pro']['pro_theme_name'] = 'Automobile PRO';
		$data['free_pro']['pro_theme_link'] = esc_url(steed_theme_mod('theme_p_url')); // PRO Theme Link
		
		return $data;
	}
}
add_filter('steed_about_page_array', 'Automobile_modify_theme_intro_page');




if(!function_exists('Automobile_demo_data')){
	function Automobile_demo_data(){
		return  array(
			'xml' => get_stylesheet_directory().'/includes/demo-free/content.xml', //xml file path or false to disable
			'widget' => get_stylesheet_directory().'/includes/demo-free/widgets.wie', //wie file path or false to disable
			'home' => 'Home (Free)',  //Name or false to disable
			'blog' => 'Blog', //Name or false to disable
			'menus' => array(/*array or false to disable*/
				array('title' => 'Primary Free', 'location' => 'header_menu'),
			),
			'revolution_sliders' => false, //array or false to disable
			'plugins' => array(/*array or false to disable*/
				'contact-form-7/wp-contact-form-7.php',
				'elementor/elementor.php',
			),
			'demo_url' => esc_url(steed_theme_mod('theme_f_demo_url')), //Extranal Demo URL
			'demo_image' => esc_url(get_stylesheet_directory().'/screenshot.png'), //Extranal Demo image URL
			'doc_url' => esc_url(steed_theme_mod('theme_f_doc_url')), //Documentation URL
		);
	}
}
add_filter('tallythemesetup_demo_data', 'Automobile_demo_data');


if(!function_exists('Automobile_tgm_plugins')){
	
	function Automobile_tgm_plugins($plugins){
		$plugins = array();
			
		//FREE	
		$plugins[] = array(
			'name'      => 'Contact Form 7',
			'slug'      => 'contact-form-7',
			'required'  => false,
		);
		$plugins[] = array(
			'name'      => 'WC Responsive Video',
			'slug'      => 'wc-responsive-video',
			'required'  => false,
		);
		$plugins[] = array(
			'name'      => 'Tally Theme Setup',
			'slug'      => 'tally-theme-setup',
			'required'  => false,
		);
		$plugins[] = array(
			'name'      => 'Elementor',
			'slug'      => 'elementor',
			'required'  => false,
		);
		
		return $plugins;
	}
}
add_filter('steed_tgm_plugins', 'Automobile_tgm_plugins');



if(!function_exists('Automobile_elementor_tempates_list')){
	function Automobile_elementor_tempates_list($templates){
		$new_templates = array();
		
		$new_templates[] = array(
			'id' => 'tally_page-home-free',
			'source' => 'tally-templates',
			'title' => 'Home FREE',
			'thumbnail' => esc_url(get_stylesheet_directory_uri().'/elementor-templates/images/page-home-free.jpg'),
			'tmpl_created' => 'September 27, 2017',
			'author' => 'TallyThemes',
			'categories' => array(),
			'keywords' => array(),
			'is_pro' => false,
			'has_page_settings' => false,
			'url' => esc_url(steed_theme_mod('theme_f_demo_url')),
		);
		
		return $new_templates;
	}
}
add_filter( 'option_elementor_remote_info_templates_data', 'Automobile_elementor_tempates_list', 30 );